Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.communities.invitations
Enum InvitationStatus

    java.lang.Object
      java.lang.Enum<InvitationStatus>
          com.bea.netuix.application.communities.invitations.InvitationStatus

All Implemented Interfaces
  Serializable, Comparable<InvitationStatus>

    public enum InvitationStatus

extends Enum<InvitationStatus>
implements Serializable

Represents the status of a single invitation for the Communtities Invitations framework.

For more information see the discussion of invitations or the overview of community functionality.

Enum Constant Summary
`accepted`
`expired`
`rejected`
`revoked`
`sent`

Method Summary
`int` | `getDbValue()`
`static InvitationStatus` | `getStatus(int dbValue)` Utility method used to obtain an Invitation status based on it's database value.
`String` | `toString()`
`static InvitationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InvitationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sent

    public static final InvitationStatus sent

### accepted

    public static final InvitationStatus accepted

### rejected

    public static final InvitationStatus rejected

### revoked

    public static final InvitationStatus revoked

### expired

    public static final InvitationStatus expired

Method Detail

### values

    public static final InvitationStatus[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static InvitationStatus valueOf(String name)

  Returns the enum constant of this type with the specified name.

### getDbValue

    public int getDbValue()

### getStatus

    public static InvitationStatus getStatus(int dbValue)

  Utility method used to obtain an Invitation status based on it's database value.

  Parameters
    `dbValue` - the numeric value as stored in the database
  Returns
    the enumerated value

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<InvitationStatus>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.